%define upstream_name    CPAN-SQLite
%define upstream_version 0.203

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Maintain and search a minimal CPAN database
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar) >= 1.540.0
BuildRequires: perl(CPAN::DistnameInfo) >= 0.90.0
BuildRequires: perl(CPAN::Index) >= 1.930.0
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(DBD::SQLite) >= 1.270.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Zlib)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
This package is used for setting up, maintaining, and searching a CPAN
database consisting of the information stored in the three main CPAN
indices: _$CPAN/modules/03modlist.data.gz_,
_$CPAN/modules/02packages.details.txt.gz_, and
_$CPAN/authors/01mailrc.txt.gz_. It should be considered at an alpha stage
of development.

One begins by creating the object as

  my $obj = CPAN::SQLite->new(%args);

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{make}

%check
make test

%install
%makeinstall_std

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.203.0-2.mga4
+ Revision: 536986
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.203.0-1.mga4
+ Revision: 486102
- update to 0.203

* Sun Jan 13 2013 umeabot <umeabot> 0.202.0-2.mga3
+ Revision: 363653
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 27 2011 jquelin <jquelin> 0.202.0-1.mga2
+ Revision: 114633
- update to 0.202

* Tue Jun 21 2011 jquelin <jquelin> 0.201.0-1.mga2
+ Revision: 111586
- update to 0.201

* Wed Jun 15 2011 jquelin <jquelin> 0.200.0-1.mga2
+ Revision: 107771
- update to 0.200

* Sat Jan 22 2011 jquelin <jquelin> 0.199.0-1.mga1
+ Revision: 31736
- mageia rebuild
- imported package perl-CPAN-SQLite

